import 'package:basic_ui/src/providers/theme_provider.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

class BasicCard extends StatelessWidget {
  const BasicCard({
    Key? key,
    this.radius,
    this.color,
    this.child,
    this.padding,
    this.margin,
    this.onTap,
    this.border,
  }) : super(key: key);

  final Widget? child;
  final double? radius;
  final Color? color;
  final EdgeInsetsGeometry? padding;
  final EdgeInsetsGeometry? margin;
  final Function()? onTap;
  final BoxBorder? border;

  @override
  Widget build(BuildContext context) {
    final theme = context.watch<ThemeProvider>().theme;

    return Card(
      margin: margin ?? EdgeInsets.zero,
      elevation: theme.cardElevation,
      shape: RoundedRectangleBorder(
        borderRadius: BorderRadius.circular(theme.cardRadius),
      ),
      color: color,
      child: InkWell(
        onTap: onTap,
        child: Container(
          padding: padding,
          child: child,
        ),
      ),
    );
  }
}
