import 'package:basic_ui/src/providers/theme_provider.dart';
import 'package:flutter/material.dart';
import 'package:flutter_hooks/flutter_hooks.dart';
import 'package:provider/provider.dart';

class BasicListView extends HookWidget {
  const BasicListView({
    Key? key,
    required this.itemCount,
    required this.itemBuilder,
    this.padding,
  }) : super(key: key);

  final int itemCount;
  final Widget Function(BuildContext, int) itemBuilder;
  final EdgeInsetsGeometry? padding;

  @override
  Widget build(BuildContext context) {
    final theme = context.watch<ThemeProvider>().theme;

    return ListView.separated(
      padding: padding,
      itemBuilder: itemBuilder,
      separatorBuilder: (context, index) {
        return Divider(color: theme.borderColor);
      },
      itemCount: itemCount,
    );
  }
}
