import 'package:basic_ui/src/providers/theme_provider.dart';
import 'package:flutter/material.dart';
import 'package:flutter_hooks/flutter_hooks.dart';
import 'package:provider/provider.dart';

import 'basic_appbar.dart';

class BasicScaffold extends HookWidget {
  const BasicScaffold({
    Key? key,
    this.body,
    this.drawer,
    this.bottomNavigationBar,
    this.title,
    this.actions,
    this.floatingActionButton,
    this.appBarColor,
    this.backgroundColor,
    this.enableSearchBar,
    this.searchBarPlaceHolder,
    this.onClear,
    this.onSubmitted,
    this.disableAppBar = false,
    this.appBarElevation,
  }) : super(key: key);

  final Widget? body;
  final Widget? drawer;
  final Widget? bottomNavigationBar;
  final String? title;
  final List<Widget>? actions;
  final Widget? floatingActionButton;
  final Color? appBarColor;
  final Color? backgroundColor;
  final bool? enableSearchBar;
  final String? searchBarPlaceHolder;
  final Function? onClear;
  final Function(String)? onSubmitted;
  final bool disableAppBar;
  final double? appBarElevation;

  @override
  Widget build(BuildContext context) {
    final theme = context.watch<ThemeProvider>().theme;

    return Scaffold(
      backgroundColor: backgroundColor ?? theme.backgroundColor,
      appBar: !disableAppBar
          ? BasicAppBar(
              title: title ?? "",
              actions: actions,
              backgroundColor: appBarColor,
              enableSearchBar: enableSearchBar ?? false,
              searchBarPlaceHolder: searchBarPlaceHolder,
              onClear: onClear,
              onSubmitted: onSubmitted,
              elevation: appBarElevation,
            )
          : null,
      drawer: drawer,
      body: body,
      floatingActionButton: floatingActionButton,
      bottomNavigationBar: bottomNavigationBar,
    );
  }
}
