import 'package:flutter/material.dart';

import 'basic_text.dart';

class BasicSwitch extends StatelessWidget {
  const BasicSwitch({
    Key? key,
    required this.label,
    required this.value,
    required this.onChanged,
  }) : super(key: key);

  final String label;
  final bool value;
  final Function(bool)? onChanged;

  @override
  Widget build(BuildContext context) {
    return Row(
      children: [
        BasicText(label, variant: BasicTextVariant.label),
        const Spacer(),
        Switch(value: value, onChanged: onChanged)
      ],
    );
  }
}
